//#####################################################################
// Copyright 2014, Bo Zhu
// This file is part of PhysBAM whose distribution is governed by the license contained in the accompanying file PHYSBAM_COPYRIGHT.txt.
//#####################################################################
#ifndef __PAINT_EXAMPLE__
#define __PAINT_EXAMPLE__

#include "../Viscoelastic/FIBER.h"

namespace PhysBAM
{
template<class TV>
class PAINT_EXAMPLE
{
    typedef typename TV::SCALAR T;typedef typename TV::template REBIND<int>::TYPE TV_INT; 
public:
    std::string output_directory;
    T length_scale;
    FIBER<TV> fiber;
    FRAME<TV> original_fiber_frame;

    PAINT_EXAMPLE();
    void Write_Output_Files(const int frame);
    void Read_Output_Files(const int frame);
    void Set_Length_Scale(const T length_scale);
private:
};
}
#endif